List Conversations

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
GET /api/conversations.json

Retrieve a paginated list of conversations.

Also: Retrieve a Conversation by Phone Number — pass phone_number to return { conversation, posts } for that contact instead of a list. Optional after_uuid / before_uuid page posts in that mode.

Query parameters

  • after_uuid string

    The uuid of a post to use as non inclusive lower bound of post results

  • before_uuid string

    The uuid of a post to use as non inclusive upper bound of post results

  • group_uuid string

    The uuid of the department from which you want to retrieve conversations

    Default value is <1st Department UUID>.

  • page number

    Page of results (list mode) or page of posts (by phone). Default: 0.

  • page_size number

    Number of results to return (max: 50). Default: 30.

  • phone_number string

    If set, retrieve that contact's conversation and posts instead of listing conversations.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • conversation object
      Hide conversation attributes Show conversation attributes object
      • customer object
        Hide customer attributes Show customer attributes object
        • avatar_url string | null
        • blocked boolean

          Has this customer has been blocked from sending you messages

        • archived boolean

          Has this customer been archived in your address book

        • name string | null
        • notes string | null
        • phone_number string | null
        • reachable_by_sms boolean

          Is this customer capable of receiving sms

        • tags array
        • uuid string
        • facebook_id string | null
        • custom_fields object

          This is a list of the custom fields created in the account by their uuid and the values for this contact.

          Hide custom_fields attributes Show custom_fields attributes object
          • c43a1766-47e1-4c9c-a2cc-36bf424fcbc0 string
          • 116bad5a-6233-472d-bcf0-199d53342a82 string
        • verified boolean

          This pertains to webchat and whether a contact has gone through the sync process for the conversation.

      • resolved boolean
      • uuid string
    • posts array
GET /api/conversations.json
curl \
 --request GET 'https://application.textline.com/api/conversations.json'
Response examples (200)
{
  "conversation": {
    "customer": {
      "avatar_url": "https://example.com/image.png",
      "blocked": false,
      "archived": false,
      "name": "Chuck Finley",
      "notes": "``",
      "phone_number": "(222) 222-2222",
      "reachable_by_sms": true,
      "tags": [
        "foo",
        "bar"
      ],
      "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
      "facebook_id": "null",
      "custom_fields": {
        "c43a1766-47e1-4c9c-a2cc-36bf424fcbc0": "Custom_Field_1_value",
        "116bad5a-6233-472d-bcf0-199d53342a82": "null"
      },
      "consent_status": true,
      "verified": true
    },
    "resolved": true,
    "uuid": "84a2c56f-6b79-4764-811d-90880e2757b4"
  },
  "posts": [
    {
      "attachments": [
        {
          "content_type": "image/jpeg",
          "name": "my_photo.png",
          "url": "https://example.com/image.png"
        }
      ],
      "body": "hello world",
      "conversation_uuid": "84a2c56f-6b79-4764-811d-90880e2757b4",
      "created_at": 1493923935,
      "creator": {
        "name `Chuck Finley`": "",
        "type": "user"
      },
      "is_whisper": false,
      "marked_as_resolved": false,
      "transferred_to": {
        "avatar_url": "https://example.com/image.png",
        "name": "Chuck Finley",
        "on_call": true,
        "username": "ChuckF",
        "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
        "email": "chuckf@textline.com",
        "permission_level": "Admin",
        "group_uuids": [
          "21ca50a9-a85d-49d1-9266-0df69fd5a9ef",
          "35c450e8-5b60-46e2-b691-481419462c16"
        ]
      },
      "assigned_to": {
        "avatar_url": "https://example.com/image.png",
        "name": "Chuck Finley",
        "on_call": true,
        "username": "ChuckF",
        "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
        "email": "chuckf@textline.com",
        "permission_level": "Admin",
        "group_uuids": [
          "21ca50a9-a85d-49d1-9266-0df69fd5a9ef",
          "35c450e8-5b60-46e2-b691-481419462c16"
        ]
      },
      "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
      "first_post": false,
      "message_type": "SMS"
    }
  ]
}

List Conversations

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
GET /api/conversations.json

Retrieve a paginated list of conversations.

Also: Retrieve a Conversation by Phone Number — pass phone_number to return { conversation, posts } for that contact instead of a list. Optional after_uuid / before_uuid page posts in that mode.

Query parameters

  • after_uuid string

    The uuid of a post to use as non inclusive lower bound of post results

  • before_uuid string

    The uuid of a post to use as non inclusive upper bound of post results

  • group_uuid string

    The uuid of the department from which you want to retrieve conversations

    Default value is <1st Department UUID>.

  • page number

    Page of results (list mode) or page of posts (by phone). Default: 0.

  • page_size number

    Number of results to return (max: 50). Default: 30.

  • phone_number string

    If set, retrieve that contact's conversation and posts instead of listing conversations.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • conversation object
      Hide conversation attributes Show conversation attributes object
      • customer object
        Hide customer attributes Show customer attributes object
        • avatar_url string | null
        • blocked boolean

          Has this customer has been blocked from sending you messages

        • archived boolean

          Has this customer been archived in your address book

        • name string | null
        • notes string | null
        • phone_number string | null
        • reachable_by_sms boolean

          Is this customer capable of receiving sms

        • tags array
        • uuid string
        • facebook_id string | null
        • custom_fields object

          This is a list of the custom fields created in the account by their uuid and the values for this contact.

          Hide custom_fields attributes Show custom_fields attributes object
          • c43a1766-47e1-4c9c-a2cc-36bf424fcbc0 string
          • 116bad5a-6233-472d-bcf0-199d53342a82 string
        • verified boolean

          This pertains to webchat and whether a contact has gone through the sync process for the conversation.

      • resolved boolean
      • uuid string
    • posts array
GET /api/conversations.json
curl \
 --request GET 'https://application.textline.com/api/conversations.json'
Response examples (200)
{
  "conversation": {
    "customer": {
      "avatar_url": "https://example.com/image.png",
      "blocked": false,
      "archived": false,
      "name": "Chuck Finley",
      "notes": "``",
      "phone_number": "(222) 222-2222",
      "reachable_by_sms": true,
      "tags": [
        "foo",
        "bar"
      ],
      "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
      "facebook_id": "null",
      "custom_fields": {
        "c43a1766-47e1-4c9c-a2cc-36bf424fcbc0": "Custom_Field_1_value",
        "116bad5a-6233-472d-bcf0-199d53342a82": "null"
      },
      "consent_status": true,
      "verified": true
    },
    "resolved": true,
    "uuid": "84a2c56f-6b79-4764-811d-90880e2757b4"
  },
  "posts": [
    {
      "attachments": [
        {
          "content_type": "image/jpeg",
          "name": "my_photo.png",
          "url": "https://example.com/image.png"
        }
      ],
      "body": "hello world",
      "conversation_uuid": "84a2c56f-6b79-4764-811d-90880e2757b4",
      "created_at": 1493923935,
      "creator": {
        "name `Chuck Finley`": "",
        "type": "user"
      },
      "is_whisper": false,
      "marked_as_resolved": false,
      "transferred_to": {
        "avatar_url": "https://example.com/image.png",
        "name": "Chuck Finley",
        "on_call": true,
        "username": "ChuckF",
        "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
        "email": "chuckf@textline.com",
        "permission_level": "Admin",
        "group_uuids": [
          "21ca50a9-a85d-49d1-9266-0df69fd5a9ef",
          "35c450e8-5b60-46e2-b691-481419462c16"
        ]
      },
      "assigned_to": {
        "avatar_url": "https://example.com/image.png",
        "name": "Chuck Finley",
        "on_call": true,
        "username": "ChuckF",
        "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
        "email": "chuckf@textline.com",
        "permission_level": "Admin",
        "group_uuids": [
          "21ca50a9-a85d-49d1-9266-0df69fd5a9ef",
          "35c450e8-5b60-46e2-b691-481419462c16"
        ]
      },
      "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
      "first_post": false,
      "message_type": "SMS"
    }
  ]
}